package domain

type AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo struct {
	/*
	   短保时间段信息     */
	PeriodInfos *[]AlibabaHmMarketingExpirePromotionCreateExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   门店id     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo) SetPeriodInfos(v []AlibabaHmMarketingExpirePromotionCreateExpirePeriodInfo) *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo) SetShopIds(v []string) *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo) SetSkuCode(v string) *AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo {
	s.SkuCode = &v
	return s
}
